using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Employers_jobmanager : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if(Session["rcuserid"] == null)
            Response.Redirect("login.aspx");
        if(!IsPostBack)
            ShowResult(10);
    }
    void ShowResult(int pageSize)
    {
        try
        {
            ControlHelper cls = new ControlHelper("");
            cls.CommandText = "SPRCViewJob";
            cls.ParameterCollection = new string[1] 
            { "@RecruiterID"};
            cls.ValueCollection = new string[1] 
            { Session["rcuserid"].ToString()};
            cls.CommandType = CommandType.StoredProcedure;
            cls.InitProperties();
            cls.FillDataTableToGridView(
            this.GridView1, pageSize, 10,
            PagerButtons.NumericFirstLast);
        }
        catch (Exception ex)
        {
            litError.Text = ex.Message;
        }
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        ShowResult(10);
        GridView1.PageIndex = e.NewPageIndex;
    }
}
